function initPrefDialog()
{
  AddNewsServers();
  document.getElementById('messageidfinder-pref1').value   = checkPref1();
  document.getElementById('messageidfinder-pref2').checked = checkPref2();
  document.getElementById('messageidfinder-pref1').focus();
}


function checkPref1()
{
  var defaultnewsserver = pmpReadPref('extensions.messageidfinder.defaultnewsserver',pmpS);

  if (defaultnewsserver == null) defaultnewsserver = 'none';

  return defaultnewsserver;
}


function checkPref2()
{
  var openmsginnewwin = pmpReadPref('extensions.messageidfinder.openmsginnewwin',pmpB);

  if (openmsginnewwin == null) openmsginnewwin = false;

  return openmsginnewwin;
}


function savePrefs()
{
  var defaultnewsserver = document.getElementById('messageidfinder-pref1').value;
  var openmsginnewwin   = document.getElementById('messageidfinder-pref2').checked;

  pmpWritePref('extensions.messageidfinder.defaultnewsserver', defaultnewsserver, pmpS);
  pmpWritePref('extensions.messageidfinder.openmsginnewwin', openmsginnewwin, pmpB);
}


/*
 *   Writes pmpValue to pmpName in the mozilla preferences
 */
function pmpWritePref(pmpName, pmpValue, pmpType)
{
   var nsIPrefBranch = Components.interfaces.nsIPrefBranch;
   var pref = Components.classes["@mozilla.org/preferences-service;1"].getService(nsIPrefBranch);
   switch (pmpType)
   {
     case pmpB:
       pref.setBoolPref(pmpName, pmpValue);
     break;
     case pmpN:
       pref.setIntPref(pmpName, pmpValue);
     break;
     case pmpS:
       pref.setCharPref(pmpName, pmpValue);
     break;
     default:
     break;
   }
}